import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TextareaComponent implements ControlValueAccessor, AfterViewInit {
    variant: 'fill' | 'outline';
    charLimit: number;
    isLoading: boolean;
    isError: boolean;
    errorMsg: string;
    label: string;
    helperTxt: string;
    height?: number;
    minHeight?: number;
    maxHeight?: number;
    posErrorMsg: 'top' | 'bottom';
    posHelperTxt: 'top' | 'bottom';
    inputClass: string;
    id: string | null;
    name: string | null;
    placeholder: string;
    required: boolean | null;
    disabled: boolean | null;
    readonly: boolean | null;
    maxlength: number | null;
    minlength: number | null;
    pattern: string | RegExp;
    inputmode: string | null;
    tabindex: number | null;
    autocomplete: string;
    autofocus: boolean;
    formControlName: string | null;
    ariaInvalid: boolean | null;
    ariaDescribedby: string | null;
    onChange: EventEmitter<Event>;
    onFocus: EventEmitter<void>;
    onBlur: EventEmitter<void>;
    onKeydown: EventEmitter<KeyboardEvent>;
    onKeyup: EventEmitter<KeyboardEvent>;
    onKeypress: EventEmitter<KeyboardEvent>;
    onPaste: EventEmitter<ClipboardEvent>;
    textareaRef: ElementRef<HTMLTextAreaElement>;
    value: any;
    constructor();
    handleOnChange: (value: string) => void;
    onTouched: () => void;
    ngAfterViewInit(): void;
    focus(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    onInput(event: Event): void;
    handleOnFocus(): void;
    handleOnBlur(): void;
    handleKeydown(event: KeyboardEvent): void;
    handleKeyup(event: KeyboardEvent): void;
    handleKeypress(event: KeyboardEvent): void;
    handleOnPaste(event: ClipboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextareaComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextareaComponent, "mod-textarea", never, { "variant": "variant"; "charLimit": "charLimit"; "isLoading": "isLoading"; "isError": "isError"; "errorMsg": "errorMsg"; "label": "label"; "helperTxt": "helperTxt"; "height": "height"; "minHeight": "minHeight"; "maxHeight": "maxHeight"; "posErrorMsg": "posErrorMsg"; "posHelperTxt": "posHelperTxt"; "inputClass": "inputClass"; "id": "id"; "name": "name"; "placeholder": "placeholder"; "required": "required"; "disabled": "disabled"; "readonly": "readonly"; "maxlength": "maxlength"; "minlength": "minlength"; "pattern": "pattern"; "inputmode": "inputmode"; "tabindex": "tabindex"; "autocomplete": "autocomplete"; "autofocus": "autofocus"; "formControlName": "formControlName"; "ariaInvalid": "ariaInvalid"; "ariaDescribedby": "ariaDescribedby"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; "onKeydown": "onKeydown"; "onKeyup": "onKeyup"; "onKeypress": "onKeypress"; "onPaste": "onPaste"; }, never, never>;
}
