import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TextfieldComponent implements ControlValueAccessor, AfterViewInit {
    variant: 'fill' | 'outline';
    size: 's' | 'm' | 'l';
    matStartIcon: string;
    matEndIcon: string;
    startIcon: any;
    endIcon: any;
    isLoading: boolean;
    isError: boolean;
    errorMsg: string;
    label: string;
    helperTxt: string;
    posErrorMsg: 'top' | 'bottom';
    posHelperTxt: 'top' | 'bottom';
    inputClass: string;
    inputSize: number | null;
    id: string | null;
    type: string;
    name: string | null;
    placeholder: string | null;
    required: boolean | null;
    disabled: boolean | null;
    readonly: boolean | null;
    maxlength: number | null;
    minlength: number | null;
    pattern: string | RegExp;
    step: number | null;
    min: number | null;
    max: number | null;
    inputmode: string | null;
    tabindex: number | null;
    autocomplete: string;
    autofocus: boolean;
    formControlName: string | null;
    ariaInvalid: boolean | null;
    ariaDescribedby: string | null;
    mask: string;
    onChange: EventEmitter<Event>;
    onFocus: EventEmitter<void>;
    onBlur: EventEmitter<void>;
    onKeydown: EventEmitter<KeyboardEvent>;
    onKeyup: EventEmitter<KeyboardEvent>;
    onKeypress: EventEmitter<KeyboardEvent>;
    onPaste: EventEmitter<ClipboardEvent>;
    inputRef: ElementRef<HTMLInputElement>;
    value: any;
    constructor();
    handleOnChange: (value: string) => void;
    onTouched: () => void;
    ngAfterViewInit(): void;
    focus(): void;
    writeValue(value: any): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    onInput(event: Event): void;
    handleOnFocus(): void;
    handleOnBlur(): void;
    handleKeydown(event: KeyboardEvent): void;
    handleKeyup(event: KeyboardEvent): void;
    handleKeypress(event: KeyboardEvent): void;
    handleOnPaste(event: ClipboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextfieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextfieldComponent, "mod-textfield", never, { "variant": "variant"; "size": "size"; "matStartIcon": "matStartIcon"; "matEndIcon": "matEndIcon"; "startIcon": "startIcon"; "endIcon": "endIcon"; "isLoading": "isLoading"; "isError": "isError"; "errorMsg": "errorMsg"; "label": "label"; "helperTxt": "helperTxt"; "posErrorMsg": "posErrorMsg"; "posHelperTxt": "posHelperTxt"; "inputClass": "inputClass"; "inputSize": "inputSize"; "id": "id"; "type": "type"; "name": "name"; "placeholder": "placeholder"; "required": "required"; "disabled": "disabled"; "readonly": "readonly"; "maxlength": "maxlength"; "minlength": "minlength"; "pattern": "pattern"; "step": "step"; "min": "min"; "max": "max"; "inputmode": "inputmode"; "tabindex": "tabindex"; "autocomplete": "autocomplete"; "autofocus": "autofocus"; "formControlName": "formControlName"; "ariaInvalid": "ariaInvalid"; "ariaDescribedby": "ariaDescribedby"; "mask": "mask"; }, { "onChange": "onChange"; "onFocus": "onFocus"; "onBlur": "onBlur"; "onKeydown": "onKeydown"; "onKeyup": "onKeyup"; "onKeypress": "onKeypress"; "onPaste": "onPaste"; }, never, never>;
}
