import { AfterViewInit, ElementRef, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { TooltipContentComponent } from './tooltip-content.component';
import { ContentProperties, GridRegion, ParentDimension, ParentPosition, TooltipPosition, VirtualGridCell } from './tooltip.type';
import * as i0 from "@angular/core";
export declare class TooltipComponent implements OnInit, OnDestroy, AfterViewInit {
    content: ContentProperties[];
    interactive: boolean;
    curTooltipEl: TooltipContentComponent;
    tooltipEl: ElementRef;
    leftTooltipEl: TooltipContentComponent;
    rightTooltipEl: TooltipContentComponent;
    topTooltipEl: TooltipContentComponent;
    bottomTooltipEl: TooltipContentComponent;
    template: TemplateRef<any>;
    parentDimension: ParentDimension;
    initialPosition: any;
    initialDimension: any;
    adjustedPositionX: number;
    adjustedPositionY: number;
    private _parentPosition;
    set parentPosition(value: ParentPosition);
    get parentPosition(): ParentPosition;
    private _placement;
    extractedPlacement: [string, string?];
    private strategy;
    initialPlacement: TooltipPosition;
    set placement(value: TooltipPosition);
    get placement(): TooltipPosition;
    private _isOpen;
    set isOpen(value: boolean);
    get isOpen(): boolean;
    curPlacement: TooltipPosition;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    get curChildren(): HTMLElement | null;
    private recalculatePosition;
    isHTML(content: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipComponent, "mod-tooltip", never, { "content": "content"; "interactive": "interactive"; "parentPosition": "parentPosition"; "placement": "placement"; }, {}, ["template"], never>;
}
interface TooltipStrategy {
    calculatePlacement(): TooltipPosition;
    selectElementByPlacement(): HTMLElement;
    isPlacementAvaliable(tooltipElement: HTMLElement | null, placement: string): boolean;
}
export declare class AutoPlacementStrategy implements TooltipStrategy {
    private tooltipComponent;
    constructor(tooltipComponent: TooltipComponent);
    private lastPlacement?;
    getGrid(): Record<GridRegion, VirtualGridCell>;
    isAvaliableOnCell(rect: DOMRect | undefined, placement: TooltipPosition): boolean;
    isPlacementAvaliable(tooltipElement: HTMLElement | null, placement: TooltipPosition): boolean;
    avaliableCells(): Set<TooltipPosition>;
    calculatePlacement(): TooltipPosition;
    selectElementByPlacement(): HTMLElement;
}
export {};
