import { ElementRef, ComponentFactoryResolver, ViewContainerRef, OnDestroy, Renderer2 } from '@angular/core';
import { ContentProperties } from './tooltip.type';
import * as i0 from "@angular/core";
declare type TooltipPosition = 'top' | 'top-start' | 'top-end' | 'bottom' | 'bottom-start' | 'bottom-end' | 'left' | 'left-start' | 'left-end' | 'right' | 'right-start' | 'right-end';
export declare class TooltipDirective implements OnDestroy {
    private el;
    private renderer;
    private viewContainerRef;
    private componentFactoryResolver;
    tooltipContent: ContentProperties[];
    tooltipTrigger: 'click' | 'hover' | 'both';
    tooltipPlacement: TooltipPosition;
    tooltipMatIcon: string;
    isFollowMouse: boolean;
    interactive: boolean;
    private tooltipNativeElement;
    private tooltip;
    private documentClickListener;
    private resizeListener;
    private resizeObserver;
    private mouseX;
    private mouseY;
    constructor(el: ElementRef, renderer: Renderer2, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    private tracking;
    ngOnDestroy(): void;
    private startTrackingPosition;
    private createTooltip;
    private onDocumentClick;
    private updateTooltipPosition;
    private destroyTooltip;
    private stopTrackingPosition;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onMouseMove(event: MouseEvent): void;
    onClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[appTooltip]", never, { "tooltipContent": "appTooltip"; "tooltipTrigger": "tooltipTrigger"; "tooltipPlacement": "tooltipPlacement"; "tooltipMatIcon": "tooltipMatIcon"; "isFollowMouse": "isFollowMouse"; "interactive": "interactive"; }, {}, never>;
}
export {};
